Name:           logwitch
Version:        0.3.2
Release:        1%{?dist}
Summary:        GUI logging tool for analyzing remote logging sessions

License:        GPL-3.0-or-later
URL:            https://github.com/DevelopersHeaven/%{name}
Source0:        %{url}/archive/version-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  log4cplus-devel
BuildRequires:  python3-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qttools-devel

%description
LogWitch was written to support 1 million and up log lines with a possibility to
search within them for error analysis and bug hunting.


%prep
%autosetup -n LogWitch-version-%{version}


%build
%cmake -DUSE_QT=Qt6 -DCMAKE_BUILD_TYPE=Debug
%cmake_build


%install
%cmake_install
desktop-file-install %{SOURCE1}


%check
%ctest


%files
%license %{_docdir}/%{name}/copyright
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/LogWitch
%{_prefix}/lib/%{name}



%changelog
* Tue Apr 23 2024 Christoph Erhardt <fedora@sicherha.de> - 0.3.2-1
- Update to 0.3.2.
- Build with Qt 6.

* Thu Dec 07 2023 Christoph Erhardt <fedora@sicherha.de> - 0.3.1-2
- Rebuild for new log4cplus in Fedora 39.

* Thu Jun 08 2023 Christoph Erhardt <fedora@sicherha.de> - 0.3.1-1
- Initial package for version 0.3.1.
